Issue 16822

Summary: Option to select print range in selected sheet: textbox to specify tables to be printed
Product: General Reporter: lars <lars_o_hansen>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: esigra, issues
Version: OOo 1.0.0Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description lars 2003-07-14 16:28:15 UTC
hi,

in the print dialogue: differentiate between pages and sheets of Calc 
documents: so print sheet no. x and then for each sheet which pages of this 
sheet:

eg:

sheets: 1,3-5
pages: 1-5,7,8;1-9,11-13;2[2-5]{7;8)
; seperates sheets, n[] is for several (n) sheets; elemets within () are for 
each sheet according to ";" while [] is for all sheets inidcated by n
Comment 1 atr 2003-07-15 08:06:26 UTC
ATR->BH: Hi Bettina, once more for you. Please have a look, thanks.
Comment 2 lars 2003-07-24 01:31:03 UTC
so you should offer text fields to enter sheets and pages to be 
printed; the suggestions above is for how do enable the user to 
express his wishes in the text field.


And, what I have just noticed: not seperating between pages and 
sheets leads the field commands "page number" and "total pages" show 
the accumulated number of pages which is not what I want if I want to 
print the 3rd sheet for example which just consists of one page.
Comment 3 utomo99 2003-09-20 05:12:46 UTC
I think It is good suggestion, because not alway we want to print all.
sometimes we need to be able to print selected page on selected sheet
with easy. now It is a problem with OOo to do this. 
 
Comment 4 ace_dent 2008-05-16 02:41:23 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 lars 2008-05-17 19:30:58 UTC
sort of implemented but not completely: "print selected table" is available. 
Where can I enter the tables to be printed? I have to ctrl+click select them 
first. A bit cumbersome. Therefore issue still valid as per OOo 3.0 Beta m2.
Comment 6 bettina.haberer 2010-05-21 14:57:54 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".